Groovy Documentation

## org.codehaus.groovy.grails.web.xml
[Java] Class StreamingMarkupWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.xml.StreamingMarkupWriter

    public class StreamingMarkupWriter

Specialized StreamingMarkupWriter that handles the escaping of double quotes in XML attributes

Authors:
  Siegfried Puchbauer

Since:
  1.1

Constructor Summary
`StreamingMarkupWriter(java.io.Writer writer, java.lang.String s)`
`StreamingMarkupWriter(java.io.Writer writer)`

Method Summary
`void` | `write(int i)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer, java.lang.String s)

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer)

Method Detail

### write

    @Override
    public void write(int i)

Groovy Documentation